### Function

# GObject enum_to_string

since: 2.54

#### Declaration

    gchar*
    g_enum_to_string (
      GType g_enum_type,
      gint value
    )

#### Description

Pretty-prints `value` in the form of the enum’s name.

This is intended to be used for debugging purposes. The format of the output may change in the future.

Available since: 2.54

#### Parameters

`g_enum_type`

  Type: `GType`

  The type identifier of a `GEnumClass` type.

`value`

  Type: `gint`

  The value.

#### Return value

Type: `gchar*`

A newly-allocated text string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.